class ScannersController < RxModule::ApplicationController
  def index
    scanners = RxModule::Communicator.call_module_method('rx_scanners', '/api/scanners', :get)
    scanner_json = scanners[:models].map do |scanner|
      {
          id: scanner[:id],
          name: scanner[:name]
      }
    end
    render json: scanner_json
  end
end

