import React from "react";
import {FormProps} from "@rx-suite/ui";
import {FinishJobButton} from "./FinishJobButton";
import {ResetJobButton} from "./ResetJobButton";

export const JobButtons: React.FunctionComponent<FormProps> = ({ model }) => {

    return (
        <React.Fragment>
            <FinishJobButton model={model}/>
            <ResetJobButton model={model}/>
        </React.Fragment>
    )
};