import React from "react";
import {FormProps, ModelForm, ModelInput, ModelSelect, PaddedPaper} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";

export const MesConnectorForm: React.FunctionComponent<FormProps> = observer(({model}) => {
    return(
        <ModelForm model={model}>
            <ModelInput name={'name'}/>
            <ModelSelect name={'connector_type'} options={[{label: 'input', value: 'input'}, {label: 'output', value: 'output'}]}/>
            <ModelInput name={'path'}/>
        </ModelForm>
    )
});