import React from "react";
import {FormProps, ModelForm, ModelInput, PaddedPaper} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";

export const DeviceTimerForm: React.FunctionComponent<FormProps> = observer(({model}) => {

    return(
        <ModelForm model={model}>
            <ModelInput name={'variable'} disabled={!model.opcua_device_type_id}/>
            <ModelInput name={'time'}/>
            <ModelInput name={'description'}/>
        </ModelForm>
    )
});