import * as React from 'react';
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {DeviceTimerForm} from "./DeviceTimerForm";
import {DeviceTimerStore} from "../../stores/Device/DeviceTimerStore";

export const DeviceTimersBreadModel = () => {
    const columns = React.useMemo(() => {
        return []
    }, []);
    return (
        <BreadModel store={DeviceTimerStore} Form={DeviceTimerForm} columns={columns} />
    )
};