class JobCompleteJob < ApplicationJob
  queue_as :router_job_processes

  def perform(data)
    timestamp = data[:timestamp]
    job = Job.job_message_target(data)
    unless job.nil?
      job.set_complete(timestamp)
      WorkerBroadcast.broadcast_model(job, WorkerBroadcast.action[:update])
    end
  end
end