class WorkerBroadcast
  def self.broadcast_model(job, action)
    WorkerFrontEndBroadcast.create(model_global_id: job.to_signed_global_id, action: action)
  end

  def self.action
    {
        update: 'update',
        create: 'create',
        delete: 'delete',
        update_data: 'update_data'
    }
  end
end
