class Component < ApplicationRecord
  validates :name, uniqueness: true
  has_one :machine
  has_one :device
  has_many :connectors, dependent: :destroy

  def self.replace_name_with_component_name(action)
    if action[:id] == "name" # whatever the column id is on the front end
      action[:id] = "component.name" # or whatever the backend reference is
    end
    action
  end
end