json.extract! device, :id,
              :device_type_id,
              :component_id,
              :routing_retry_delay,
              :delay_on_command_complete,
              :send_job_state_as,
              :job_state_process
json.state device.device_state
json.name device.component[:name]
json.connector_ids device.component.connector_ids
json.num_scanners device.scanner_count
json.device_routing_command_ids device.device_type_id.nil? ? [] : device.device_type.device_routing_command_ids
json.device_routing_command_device_ids device.device_type_id.nil? ? [] : device.device_routing_command_device_ids
json.extra_requirement_ids device.extra_requirement_ids
json.device_timer_ids device.component.type === 'OpcuaComponent' ? device.component.device_timer_ids : []
json.url device_url(device, format: :json)
