unless ENV['IS_RAKE']
  if ENV['RAILS_ENV'] == 'production'
    Rails.configuration.after_initialize do
      settings = Setting.first
      if Setting.configured? && settings[:launch_server_on_service_start]
        NodeManager.start
        Kernel.at_exit do
          JobRouter::Client.send_stop_connection
        end
      end
    end
  end
end