class AddApplyProcessChangeOnToMachines < ActiveRecord::Migration[6.0]
  def up
    add_column :machines, :apply_process_change_on, :string, default: 'use_job_state'
     sql = <<~SQL
       UPDATE machines
       SET apply_process_change_on = 'use_job_state'
       WHERE type = 'MesMachine'
    SQL
    execute(sql)
  end

  def down
    remove_column :machines, :apply_process_change_on, :string
  end
end
