class AddInfEnabledToSettings < ActiveRecord::Migration[6.0]
  def up
    add_column :settings, :inf_enabled, :boolean, default: false
    add_column :settings, :inf_max_attempts, :integer, default: 3

    execute("update settings set inf_enabled='false'")
    execute("update settings set inf_max_attempts='3'")
  end

  def down
    remove_column :settings, :inf_enabled
    remove_column :settings, :inf_max_attempts
  end
end
