class AddTypeToJobRequests < ActiveRecord::Migration[6.0]
  def up
    add_column :job_requests, :request_type, :integer
    add_column :job_requests, :target, :integer

    #JobRequest.where(isNewJob: false).update_all(request_type: 0)
    #JobRequest.where(isNewJob: true).update_all(request_type: 1)

    settings = Setting.first
    unless settings.nil?
      if settings.tag_data_source == 'rx-data'
        #JobRequest.update_all(target: 1)
      elsif settings.tag_data_source == 'LMS'
        #JobRequest.update_all(target: 0)
      end
    end

    remove_column :job_requests, :isNewJob
  end

  def down
    add_column :job_requests, :isNewJob, :boolean, default: false

    #Request type 0 is job_existing
    #JobRequest.where(request_type: 0).update_all(isNewJob: false)
    #request type 1 is job_new
    #JobRequest.where(request_type: 1).update_all(isNewJob: true)
    #Inf job request, and others added that dont fit in the old job requests
    #JobRequest.where(JobRequest.arel_table[:request_type].gt(1)).destroy_all

    remove_column :job_requests, :request_type
    remove_column :job_requests, :target
  end
end
