class AddDelayOnSocketOpenAndHoldConnectionToLmsConfigs < ActiveRecord::Migration[6.0]
  def up
    add_column :lms_configs, :delay_on_socket_open, :integer, :default => 0
    add_column :lms_configs, :hold_connection, :boolean, :default => false

    execute("update lms_configs set delay_on_socket_open=0, hold_connection='true'")
  end

  def down
    remove_column :lms_configs, :delay_on_socket_open
    remove_column :lms_configs, :hold_connection
  end
end
