class AddTimestampToJobHistories < ActiveRecord::Migration[6.0]
  def mssql?
    (defined? ActiveRecord::ConnectionAdapters::SQLServerAdapter) && ActiveRecord::Base.connection.instance_of?(ActiveRecord::ConnectionAdapters::SQLServerAdapter)
  end

  def up
    add_column :job_histories, :time, :datetime
    if mssql?
      sql = <<~SQL
       UPDATE job_histories
       SET time = created_at
      SQL
    else
    sql = <<~SQL
       UPDATE job_histories
       SET time = created_at
      SQL
    end
    execute(sql)
  end

  def down
    remove_column :job_histories, :time
  end
end
