class DeviceStateStore
  def initialize
    @device_busy_states = {}
  end

  def set_device_busy(device, busy)
    @device_busy_states[device] = busy
  end

  def get_device_busy_state(device)
    unless @device_busy_states[device]
      return false
    end
    @device_busy_states[device]
  end

  def get_all_busy_states
    @device_busy_states
  end
end