class RequiredProcessStateHistoriesController < RxModule::ApplicationController
  before_action :block_index_all, only: [:index]

  model_data_store(RequiredProcessStateHistory, {create: false, read: true, update: false, delete: false, index: true}, {create: false, read: false, update: false, delete: false, index: false})

  def before_set_targets
    @models = RequiredProcessStateHistory.order(
      Arel::Nodes::NamedFunction.new(
        'coalesce',
        [RequiredProcessStateHistory.arel_table[:job_state_timestamp],
        RequiredProcessStateHistory.arel_table[:created_at]]
      ).desc
    )
  end

  def apply_sort(models, sort)
    if sort[:id] == 'timestamp'
      @models
    else
      super(models, sort)
    end
  end
end
