import React from "react";
import {FormProps} from "@rx-suite/ui";
import {observer} from "mobx-react-lite";
import {CRSDeviceButton} from "./CRSDeviceButton";

export const DeviceButtons: React.FunctionComponent<FormProps> = observer(({ model }) => {
    return (
        <div style={{display: 'inline'}}>
            <CRSDeviceButton model={model}/>
        </div>
    )
})