class DeviceTimer < ApplicationRecord
  belongs_to :device_type, :optional => true
  belongs_to :opcua_component, :optional => true

  def update_client_payload
    {
        deviceName: self.opcua_component.name,
        variableName: self.variable,
        value: self.time
    }
  end
end