class JobHistory < ApplicationRecord
  belongs_to :job

  before_create :set_default_timestamp

  def set_default_timestamp
    return if time
    self.time = Time.now
  end

  def should_broadcast?
    false
  end
end
