class MesDevice < Device
  def controller_name
    "DevicesController"
  end

  def get_json
    {
        identifier: self.component[:name],
        emulateJobStateSettings: send_job_state_as.nil? ? nil : {
          sendAs: send_job_state_as,
          process: job_state_process,
        },
        connectors: self.component.connectors.all.map do |connector|
          {
              name: connector[:name],
              state: connector[:state],
              controlAction: connector[:control_action],
              type: connector[:connector_type],
              path: connector[:path]
          }
        end
    }
  end
end