class OpcuaComponent < Component
  has_many :device_timers

  def controller_name
    "ComponentsController"
  end

  after_update do |model|
    ActionCable.server.broadcast "everything", {
        model: JSON.parse(render_jbuilder_partial),
        class: model.class.name,
        action: :update
    }
  end
end
