if Setting.first[:connection_type] == 'OPCUA'
  json.extract! connector, :id, :name, :variable, :state, :connector_type, :priority, :action_delay, :control_action, :component_id, :rx_scanner_reference, :opcua_scanner_reference, :scanner_retry
else
  json.extract! connector, :id, :name, :state, :path, :connector_type, :control_action, :component_id
end
json.device_name connector.component.name if connector.component
json.url connector_url(connector, format: :json)
