json.extract! opcua_device, :id,
              :device_type_id,
              :component_id,
              :routing_retry_delay,
              :delay_on_command_complete,
              :device_routing_command_device_ids,
              :send_job_state_as,
              :job_state_process
json.state opcua_device.device_state
json.name opcua_device.component[:name]
json.connector_ids opcua_device.component.connector_ids
json.num_scanners opcua_device.component.connectors.where.not(rx_scanner_reference: nil).count
json.device_routing_command_ids opcua_device.device_type.device_routing_command_ids
json.extra_requirement_ids opcua_device.extra_requirement_ids
json.device_timer_ids opcua_device.component.device_timer_ids
json.url device_url(opcua_device, format: :json)
