json.extract! opcua_machine,
:id,
:component_id,
:force_duration,
:forced_state,
:last_reported_state,
:sn,
:rx_data_id,
:job_process_id,
:ignore_state,
:selected_reject,
:capability_ids

json.capability_machines CapabilityMachine.where(machine_id: opcua_machine.id)
json.name opcua_machine.component[:name]
json.job_process opcua_machine.job_process
json.state opcua_machine.machine_state
json.virtual opcua_machine[:sn] ? false : true

json.url machine_url(opcua_machine, format: :json)