class CreateComponents < ActiveRecord::Migration[6.0]
  def change
    create_table :components do |t|
      t.string :name
      t.timestamps
      t.string :type, null: false
    end

    create_table :connectors do |t|
      t.string :name
      t.string :variable
      t.string :connector_type
      t.float :priority
      t.integer :path
      t.integer :action_delay
      t.integer :scanner_reference
      t.integer :scanner_retry
      t.string :state, :default => 'online'
      t.string :control_action, :default => 'none'
      t.string :type, null: false

      t.belongs_to :component
    end
  end
end
