class AddTargetToWorkerBroadcast < ActiveRecord::Migration[6.0]
  def up
    add_column :worker_broadcasts, :target, :string
    add_column :worker_broadcasts, :action, :string
    # Previously there was a single possible broadcast type, so set all existing one to that type.
    execute("update worker_broadcasts set target='rx-routing', action='update'")
  end

  def down
    remove_column :worker_broadcasts, :target
    remove_column :worker_broadcasts, :action
  end
end
