class AddIsControlProcessToJobProcesses < ActiveRecord::Migration[6.0]
  def up
    add_column :job_processes, :is_control_process, :boolean, :default => false
    execute("update job_processes set is_control_process='false'")
    execute("update job_processes set is_control_process='true' where name='processed' or name='start'")
  end

  def down
    remove_column :job_processes, :is_control_process
  end
end
