class AddAttemptToJobRequests < ActiveRecord::Migration[6.0]
  def up
    add_column :job_requests, :attempt, :integer, default: 0
    add_column :job_requests, :retry_at, :datetime

    add_column :settings, :inf_time_between_attempts, :integer, default: 60

    #JobRequest.update_all(attempt: 0, retry_at: Time.now)

    execute("update settings set inf_time_between_attempts='60'")
  end

  def down
    remove_column :job_requests, :attempt
    remove_column :job_requests, :retry_at
    remove_column :settings, :inf_time_between_attempts
  end
end
