class AddRestartJobToMachines < ActiveRecord::Migration[6.0]
  def up
    add_column :machines, :restart_jobs, :boolean, :default => false
    execute("update machines set restart_jobs='false'")
  end

  def down
    remove_column :machines, :restart_jobs
  end
end
