class AddCapabilityResolveModeToJobProcess < ActiveRecord::Migration[6.0]
  def up
    add_column :job_processes, :capability_resolve_mode, :integer, default: 0
    # Force existing job process to 'required_all' capability resolve mode
    execute("update job_processes set capability_resolve_mode=0")
  end

  def down
    remove_column :job_processes, :capability_resolve_mode
  end
end
