class AddEnableLoopClusteringToSettings < ActiveRecord::Migration[6.0]
  def up
    add_column :settings, :loop_clustering_enabled, :boolean, :default => false

    execute("update settings set loop_clustering_enabled='false'")
  end

  def down
    remove_column :settings, :loop_clustering_enabled
  end
end
