class AddExternalDcsIdToLmsConfigs < ActiveRecord::Migration[6.0]
  def up
    add_column :lms_configs, :external_dcs_id, :integer

    rename_column :settings, :max_job_fetcher_retry, :rx_data_max_fetch_attempts
    rename_column :settings, :job_fetcher_timeout, :rx_data_fetch_timeout
  end

  def down
    remove_column :lms_configs, :external_dcs_id

    rename_column :settings, :rx_data_max_fetch_attempts, :max_job_fetcher_retry
    rename_column :settings, :rx_data_fetch_timeout, :job_fetcher_timeout
  end
end
