class TagFetcher
  def initialize(job_number, dcs_client)
    @dcs_client = dcs_client
    @job_number = job_number
  end

  def execute
    @dcs_client.set_tags(Tag.all.map(&:tag))
    tag_values = {}
    @dcs_client.get_job_info(@job_number) do |d|
      tag_name = d[0]
      tag_values[tag_name] = d[1]
    end
    tag_values
  end
end